﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication287
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = createData();
        }

        static private DataSet createData()
        {
            DataSet ds = new DataSet();

            DataTable dt = ds.Tables.Add("Band1");
            DataTable dt2 = ds.Tables.Add("Band2");
            DataTable dt3 = ds.Tables.Add("Band3");

            dt.Columns.Add("Order Number", typeof(int));
            dt.Columns.Add("Order Date", typeof(DateTime));
            dt.Columns.Add("Customer Name");

            dt2.Columns.Add("Order Line Number", typeof(int));
            dt2.Columns.Add("Product");
            dt2.Columns.Add("Quantity", typeof(int));
            dt2.Columns.Add("Price", typeof(decimal));

            dt3.Columns.Add("Transaction Date", typeof(DateTime));
            dt3.Columns.Add("Type", typeof(string));
            dt3.Columns.Add("Base Amount", typeof(int));
            dt3.Columns.Add("Amount Invoiced", typeof(int));

            DataRelation rel = ds.Relations.Add("rel1", dt.Columns["Order Number"], dt2.Columns["Order Line Number"]);
            DataRelation rel2 = ds.Relations.Add("rel2", dt2.Columns["Quantity"], dt3.Columns["Base Amount"]);

            dt.Rows.Add(new object[] { 1, DateTime.Today, "Peter" });
            dt.Rows.Add(new object[] { 2, DateTime.Today.AddDays(2), "Ivan" });
            dt.Rows.Add(new object[] { 3, DateTime.Today.AddDays(5), "Sergio" });

            dt2.Rows.Add(new object[] { 1, "Shower gel", 3, 5.03 });
            dt2.Rows.Add(new object[] { 1, "Shower gel2", 5, 1 });
            dt2.Rows.Add(new object[] { 2, "Shower gel3", 1, 2.3 });
            dt2.Rows.Add(new object[] { 3, "Shower gel4", 4, 9.02 });

            dt3.Rows.Add(new object[] { DateTime.Today, "Bath", 3, 5 });
            dt3.Rows.Add(new object[] { DateTime.Today.AddDays(2), "Bath2", 5, 2 });
            dt3.Rows.Add(new object[] { DateTime.Today, "Bath3", 4, 1 });

            return ds;
        }
    }
}
